org.apache.lucene.luke.models.search

## Class QueryParserConfig

- java.lang.Object
- - org.apache.lucene.luke.models.search.QueryParserConfig

-     public final class QueryParserConfig
      extends Object

  Configurations for query parser.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QueryParserConfig.Builder` Builder for `QueryParserConfig`
    `static class` | `QueryParserConfig.Operator` query operators

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DateTools.Resolution` | `getDateResolution()`
    `QueryParserConfig.Operator` | `getDefaultOperator()`
    `float` | `getFuzzyMinSim()`
    `int` | `getFuzzyPrefixLength()`
    `Locale` | `getLocale()`
    `int` | `getPhraseSlop()`
    `TimeZone` | `getTimeZone()`
    `Map<String,Class<? extends Number>>` | `getTypeMap()`
    `boolean` | `isAllowLeadingWildcard()`
    `boolean` | `isAutoGenerateMultiTermSynonymsPhraseQuery()`
    `boolean` | `isAutoGeneratePhraseQueries()`
    `boolean` | `isEnablePositionIncrements()`
    `boolean` | `isSplitOnWhitespace()`
    `boolean` | `isUseClassicParser()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### isUseClassicParser

          public boolean isUseClassicParser()

    - #### isAutoGenerateMultiTermSynonymsPhraseQuery

          public boolean isAutoGenerateMultiTermSynonymsPhraseQuery()

    - #### isEnablePositionIncrements

          public boolean isEnablePositionIncrements()

    - #### isAllowLeadingWildcard

          public boolean isAllowLeadingWildcard()

    - #### isAutoGeneratePhraseQueries

          public boolean isAutoGeneratePhraseQueries()

    - #### isSplitOnWhitespace

          public boolean isSplitOnWhitespace()

    - #### getDateResolution

          public DateTools.Resolution getDateResolution()

    - #### getDefaultOperator

          public QueryParserConfig.Operator getDefaultOperator()

    - #### getFuzzyMinSim

          public float getFuzzyMinSim()

    - #### getFuzzyPrefixLength

          public int getFuzzyPrefixLength()

    - #### getLocale

          public Locale getLocale()

    - #### getTimeZone

          public TimeZone getTimeZone()

    - #### getPhraseSlop

          public int getPhraseSlop()

    - #### getTypeMap

          public Map<String,Class<? extends Number>> getTypeMap()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.